| Home | Libraries | People | FAQ | More

## Function template trim_if

boost::algorithm::trim_if — Trim.

## Synopsis

    template<typename SequenceT, typename PredicateT>
      void trim_if(SequenceT & Input, PredicateT IsSpace);

## Description

Remove all leading and trailing spaces from the input. The supplied predicate is used to determine which characters are considered spaces. The input sequence is modified in-place.

Parameters:

`Input` | An input sequence
`IsSpace` | An unary predicate identifying spaces

| Copyright © 2002-2004 Pavol Droba